{% extends 'base.html.twig' %}

{% block title %}Manage Blog{% endblock %}

{% block body %}

{% for article in app.user.articles %}
<div class="col-6 mb-4">
    <div class="card h-100">
        <a href="{{ path('post', {'article': article.id }) }}">
            <img class="card-img-top" src="{{asset(article.img)}}" alt="{{article.title}}">
        </a>
        <div class="card-header">
            <a href="{{ path('post', {'article': article.id }) }}">
                <h3>{{article.title}}</h3>
            </a>
        </div>
        <div class="card-body">
            <p class="card-text">
                {{article.content[:400] ~ '...'}}
            </p>
            <a href="{{ path('myblog_delete', {'article': article.id }) }}" class="btn btn-danger">Delete</a>
            <a href="{{ path('myblog_add', {'article': article.id }) }}" class="btn btn-warning">Edit</a>        
        </div>
        <div class="card-footer text-muted">
            Posté le {{article.date|date('Y-m-d H:i:s')}}, by {{article.author}}.
        </div>
    </div>
</div>
{% endfor %}

{% endblock %}
